PIRL.Configuration

## Class Configuration_Exception

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - PIRL.Configuration.Configuration_Exception

All Implemented Interfaces:
  Serializable

    public class Configuration_Exception
    extends Exception

The excpetion thrown from the PIRL.Configuration package.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `ID` Class identification name with source code version and date.

### Constructor Summary

Constructors
Constructor and Description
`Configuration_Exception()` Constructs a Configuration_Exception.
`Configuration_Exception(String message)` Constructs a Configuration_Exception with a message.
`Configuration_Exception(String message, Throwable cause)` Constructs a Configuration_Exception with a message and a cause.
`Configuration_Exception(Throwable cause)` Constructs a Configuration_Exception having a cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class identification name with source code version and date.

See Also:
  Constant Field Values

### Constructor Detail

#### Configuration_Exception

    public Configuration_Exception(String message,
                           Throwable cause)

Constructs a Configuration_Exception with a message and a cause.

N.B.: Once a cause is set it can not be changed. Therefore, though it is allowed to set the cause to null, the Configuration_Exception will not do this to avoid the situation of not being able to replace a null cause with a valid cause. Use the `Throwable.initCause(Throwable)` method to provide a cause after the Configuration_Exception has been constructed without one.

Parameters:
  `message` - The exception's message String. If null the `class identification` will be used.
  `cause` - The exception's Throwable cause. If null no cause is set in the exception object.

#### Configuration_Exception

    public Configuration_Exception(Throwable cause)

Constructs a Configuration_Exception having a cause.

The exception message will be Configuration_Exception class ID.

Parameters:
  `cause` - The exception's Throwable cause. If null no cause is set in the exception object.
See Also:
  `Configuration_Exception(String, Throwable)`

#### Configuration_Exception

    public Configuration_Exception(String message)

Constructs a Configuration_Exception with a message.

Parameters:
  `message` - The exception's message String (may be null).
See Also:
  `Configuration_Exception(String, Throwable)`

#### Configuration_Exception

    public Configuration_Exception()

Constructs a Configuration_Exception.

The exception will have the ID of this class as its message.

See Also:
  `Configuration_Exception(String, Throwable)`